
Summary:       The libvirt virtualization API python3 binding
Name:          libvirt-python
Version:       9.10.0
Release:       1%{?dist}
License:       LGPLv2+
Url:           https://libvirt.org
Source0:       https://libvirt.org/sources/python/%{name}-%{version}.tar.gz

BuildRequires: libvirt-devel == %{version}
BuildRequires: python3-devel python3-pytest
BuildRequires: python3-lxml python3-setuptools
BuildRequires: gcc

%{?filter_provides_in: %filter_provides_in %{python3_sitearch}/.*\.so}
%{?filter_setup}

%description
The libvirt-python package contains a module that permits applications
written in the Python programming language to use the interface
supplied by the libvirt library to use the virtualization capabilities
of recent versions of Linux (and other OSes).

%package -n python3-libvirt
Summary:       The libvirt virtualization API python3 binding
Url:           http://libvirt.org
License:       LGPLv2+
Provides:      python3-libvirt
Provides:      libvirt-python3 = %{version}-%{release}

%description -n python3-libvirt
The python3-libvirt package contains a module that permits applications
written in the Python 3.x programming language to use the interface
supplied by the libvirt library to use the virtualization capabilities
of recent versions of Linux (and other OSes).

%prep
%autosetup
find examples -type f -exec chmod 0644 \{\} \;

%build
%py3_build

%install
%py3_install

%check
%{__python3} setup.py test

%files -n python3-libvirt
%license COPYING
%doc ChangeLog AUTHORS README examples/
%{python3_sitearch}/libvirt.py*
%{python3_sitearch}/libvirtaio.py*
%{python3_sitearch}/libvirt_qemu.py*
%{python3_sitearch}/libvirt_lxc.py*
%{python3_sitearch}/__pycache__/libvirt.cpython-*.py*
%{python3_sitearch}/__pycache__/libvirt_qemu.cpython-*.py*
%{python3_sitearch}/__pycache__/libvirt_lxc.cpython-*.py*
%{python3_sitearch}/__pycache__/libvirtaio.cpython-*.py*
%{python3_sitearch}/libvirtmod*
%{python3_sitearch}/*egg-info


%changelog
* Thu Dec 19 2024 Upgrade Robot <upbot@opencloudos.tech> - 9.10.0-1
- Upgrade to version 9.10.0

* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 9.6.0-5
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 9.6.0-4
- Rebuilt for loongarch release

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 9.6.0-3
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 9.6.0-2
- Rebuilt for OpenCloudOS Stream 23.09

* Tue Aug 22 2023 Miaojun Dong <zoedong@tencent.com> - 9.6.0-1
- Bump version to 9.6.0

* Mon Jul 24 2023 cunshunxia <cunshunxia@tencent.com> - 9.4.0-1
- upgrade to 9.4.0

* Wed Jul 19 2023 Miaojun Dong <zoedong@tencent.com> - 8.10.0-4
- Rebuild for libvirt-9.4.0

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 8.10.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 8.10.0-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Jan 12 2023 Feng Weiyao <wynnfeng@tencent.com> - 8.10.0-1
- package init.
 
